echo echo - 3 months ago 3
Ruby Question

Received Warning message "Path set to RVM" after updating ruby version using rvm

Recently I tried to update my ruby version due to a warning message (see below).

Now I get the following warning message when I start my iterm2:

Warning: PATH set to RVM ruby but GEM_HOME and/or GEM_PATH not set, see:

Does anyone know how to resolve this warning? It hasn't really impacted my work but it is a little unsettling.

for your information:

1. I believed I ran
rvm get stable
to get the latest ruby version.

2. this is the warning message I was initially trying to resolve but it has not been resolved either:

warning: parser/current is loading parser/ruby21, which recognizes
warning: 2.1.5-compliant syntax, but you are running 2.1.2.

I am using 1.
Mac OS X
and 3.


I had same issue with oh-my-zsh While installing rvm with option --rails, there was this warning:

This solution works for me: Open .zshrc file, and find PATH line


export PATH=/path/to/something


export PATH="$PATH:/path/to/something"

save it and do source ~/.zshrc, Then it worked.